#
# spec file for package perl-Canary-Stability
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Canary-Stability
Version:        2013
Release:        1.24
%define cpan_name Canary-Stability
Summary:        Canary to check perl compatibility for schmorp's modules
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module is used by Schmorp's modules during configuration stage to test
the installed perl for compatibility with his modules.

It's not, at this stage, meant as a tool for other module authors, although
in principle nothing prevents them from subscribing to the same ideas.

See the _Makefile.PL_ in Coro or AnyEvent for usage examples.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license COPYING

%changelog
* Tue Apr 23 2019 Stephan Kulow <coolo@suse.com>
- updated to 2013
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
  2013  Mon Apr 22 12:38:45 CEST 2019
  - carbon-dioxide levels hit 400ppm first time in recorded history.
  - during AUTOMATED_TESTING, turn minimum version recommendations into
    hard requirements to avoid false positives in unsupported perl
    versions.
  - added dummy testsuite.
* Thu Sep 29 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Wed Sep 28 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Tue Sep 27 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Mon Sep 26 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
  2012  Sun Sep 25 01:45:56 CEST 2016
  - another year where the UNFCCC had to adjust their predictions
    in the worse direction.
  - do not print the big intro blob in yellow.
* Mon Mar 14 2016 coolo@suse.com
- updated to 2011
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
  2011  Sun Mar 13 04:41:48 CET 2016
  - the year the terrorists won and the free world sacrificed the free.
  - added more explanatory blurb, based on ideas by Kent Fredric.
  - colour wasn't reset in time to catch further Makefile.PL
    output in some cases.
* Sun Sep 20 2015 coolo@suse.com
- initial package 2006
  * created by cpanspec 1.78.08
